Botan 2.19.5 Crypto and TLS for C&

Public Attributes | List of all members
Botan::CommonCryptor_Opts Struct Reference

`#include <commoncrypto_utils.h>`

## Public Attributes
CCAlgorithm | algo
size_t | block_size
Key_Length_Specification | key_spec {0}
CCMode | mode
CCPadding | padding

## Detailed Description

Definition at line 17 of file commoncrypto_utils.h.

## Member Data Documentation

## ◆ algo

CCAlgorithm Botan::CommonCryptor_Opts::algo

Definition at line 19 of file commoncrypto_utils.h.

Referenced by Botan::commoncrypto_adjust_key_size(), and Botan::commoncrypto_opts_from_algo_name().

## ◆ block_size

size_t Botan::CommonCryptor_Opts::block_size

Definition at line 22 of file commoncrypto_utils.h.

Referenced by Botan::commoncrypto_opts_from_algo_name().

## ◆ key_spec

Key_Length_Specification Botan::CommonCryptor_Opts::key_spec {0}

Definition at line 23 of file commoncrypto_utils.h.

Referenced by Botan::commoncrypto_opts_from_algo_name().

## ◆ mode

CCMode Botan::CommonCryptor_Opts::mode

Definition at line 20 of file commoncrypto_utils.h.

Referenced by Botan::commoncrypto_opts_from_algo().

## ◆ padding

CCPadding Botan::CommonCryptor_Opts::padding

Definition at line 21 of file commoncrypto_utils.h.

Referenced by Botan::commoncrypto_opts_from_algo().

The documentation for this struct was generated from the following file:

- src/lib/prov/commoncrypto/commoncrypto_utils.h